#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2014 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Evolve database to generation 3.

Add shift type to teacher demographics
"""

from zope.app.generations.utility import getRootFolder

from schooltool.basicperson.interfaces import IDemographicsFields
from schooltool.basicperson.demographics import EnumFieldDescription
from schooltool.peas import PeasMessage as _


def evolve(context):
    app = getRootFolder(context)
    dfs = IDemographicsFields(app)
    if 'shift_type' not in dfs:
        dfs['shift_type'] = EnumFieldDescription(
            'shift_type', _('Shift type'),
            limit_keys=['teachers'])
        dfs['shift_type'].items = [_('Full time'),
                                   _('Part time')]
